GDB (xrefs)

Public Attributes | List of all members
cached_frame_info Struct Reference

## Public Attributes
struct frame_id | frame_id
struct gdbarch * | gdbarch
int | reg_count
cached_reg_t | reg []

## Detailed Description

Definition at line 76 of file py-unwind.c.

## Member Data Documentation

## ◆ frame_id

struct frame_id cached_frame_info::frame_id

Definition at line 79 of file py-unwind.c.

Referenced by pyuw_sniffer().

## ◆ gdbarch

struct gdbarch* cached_frame_info::gdbarch

Definition at line 82 of file py-unwind.c.

Referenced by pyuw_sniffer().

## ◆ reg

cached_reg_t cached_frame_info::reg[]

Definition at line 87 of file py-unwind.c.

Referenced by pyuw_dealloc_cache(), pyuw_prev_register(), and pyuw_sniffer().

## ◆ reg_count

int cached_frame_info::reg_count

Definition at line 85 of file py-unwind.c.

Referenced by pyuw_dealloc_cache(), pyuw_prev_register(), and pyuw_sniffer().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-unwind.c